Skip to main content
GET
/
grp
/
get_with_children
/
{id}
cURL
curl --request GET \
  --url https://{portalApiUrl}/grp/get_with_children/{id} \
  --header 'Authorization: <api-key>'
{
  "status": true,
  "result": {
    "grp_id": 123,
    "grp_name": "<string>",
    "grp_description": "<string>",
    "grp_parent_id": 123,
    "grp_external_id": "<string>",
    "grp_external_name": "<string>",
    "grp_created_date": "2023-11-07T05:31:56Z",
    "grp_updated_date": "2023-11-07T05:31:56Z",
    "children": [
      {
        "grp_id": 123,
        "grp_name": "<string>",
        "grp_description": "<string>",
        "grp_parent_id": 123,
        "grp_external_id": "<string>",
        "grp_external_name": "<string>",
        "grp_created_date": "2023-11-07T05:31:56Z",
        "grp_updated_date": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.illuxi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication token obtained from POST /token

Path Parameters

id
integer
required

ID of the parent group

Response

group with children response

status
boolean
result
object